// Generated by imageconverter. Please, do not edit!

#include <touchgfx/Bitmap.hpp>
#include <BitmapDatabase.hpp>

#ifndef NO_USING_NAMESPACE_TOUCHGFX
using namespace touchgfx;
#endif

extern const unsigned char _Animating_buttons_background[]; 
extern const unsigned char _Animating_buttons_full_table_shadow_bottom[]; 
extern const unsigned char _Animating_buttons_full_table_shadow_left[]; 
extern const unsigned char _Animating_buttons_full_table_shadow_right[]; 
extern const unsigned char _Animating_buttons_table_element_shadow[]; 
extern const unsigned char _alpha_ball_blue[]; 
extern const unsigned char _alpha_ball_green[]; 
extern const unsigned char _alpha_ball_red[]; 
extern const unsigned char _animating_buttons_menu_icons_2048_tiny[]; 
extern const unsigned char _animating_buttons_menu_icons_game_2d_tiny[]; 
extern const unsigned char _animating_buttons_menu_icons_gauge_tiny[]; 
extern const unsigned char _animating_buttons_menu_icons_graph_tiny[]; 
extern const unsigned char _animating_buttons_menu_icons_poster_tiny[]; 
extern const unsigned char _auto_play_button[]; 
extern const unsigned char _auto_play_button_pressed[]; 
extern const unsigned char _blue_area_button_active[]; 
extern const unsigned char _blue_area_button_inactive[]; 
extern const unsigned char _blue_dots_button_active[]; 
extern const unsigned char _blue_dots_button_inactive[]; 
extern const unsigned char _blue_line_button_active[]; 
extern const unsigned char _blue_line_button_inactive[]; 
extern const unsigned char _carousel_background[]; 
extern const unsigned char _carousel_menu_icons_2048_large[]; 
extern const unsigned char _carousel_menu_icons_2048_medium[]; 
extern const unsigned char _carousel_menu_icons_2048_small[]; 
extern const unsigned char _carousel_menu_icons_game_2d_large[]; 
extern const unsigned char _carousel_menu_icons_game_2d_medium[]; 
extern const unsigned char _carousel_menu_icons_game_2d_small[]; 
extern const unsigned char _carousel_menu_icons_gauge_large[]; 
extern const unsigned char _carousel_menu_icons_gauge_medium[]; 
extern const unsigned char _carousel_menu_icons_gauge_small[]; 
extern const unsigned char _carousel_menu_icons_graph_large[]; 
extern const unsigned char _carousel_menu_icons_graph_medium[]; 
extern const unsigned char _carousel_menu_icons_graph_small[]; 
extern const unsigned char _carousel_menu_icons_poster_large[]; 
extern const unsigned char _carousel_menu_icons_poster_medium[]; 
extern const unsigned char _carousel_menu_icons_poster_small[]; 
extern const unsigned char _collectible_item_00[]; 
extern const unsigned char _collectible_item_01[]; 
extern const unsigned char _collectible_item_02[]; 
extern const unsigned char _collectible_item_03[]; 
extern const unsigned char _collectible_item_04[]; 
extern const unsigned char _collectible_item_05[]; 
extern const unsigned char _collectible_item_06[]; 
extern const unsigned char _collectible_item_07[]; 
extern const unsigned char _collectible_item_08[]; 
extern const unsigned char _collectible_item_09[]; 
extern const unsigned char _control_center_button[]; 
extern const unsigned char _control_center_button_pressed[]; 
extern const unsigned char _control_color_wheel[]; 
extern const unsigned char _control_menu_arrow_down[]; 
extern const unsigned char _control_menu_arrow_down_inactive[]; 
extern const unsigned char _control_menu_arrow_down_pressed[]; 
extern const unsigned char _control_menu_arrow_up[]; 
extern const unsigned char _control_menu_arrow_up_inactive[]; 
extern const unsigned char _control_menu_arrow_up_pressed[]; 
extern const unsigned char _control_menu_button[]; 
extern const unsigned char _control_menu_button_pressed[]; 
extern const unsigned char _control_menu_icon_datepicker_large[]; 
extern const unsigned char _control_menu_icon_datepicker_small[]; 
extern const unsigned char _control_menu_icon_gauge_large[]; 
extern const unsigned char _control_menu_icon_gauge_small[]; 
extern const unsigned char _control_menu_icon_percentage_large[]; 
extern const unsigned char _control_menu_icon_percentage_small[]; 
extern const unsigned char _control_menu_icon_three_way_large[]; 
extern const unsigned char _control_menu_icon_three_way_small[]; 
extern const unsigned char _control_menu_shadow_bottom[]; 
extern const unsigned char _control_menu_shadow_top[]; 
extern const unsigned char _controls_background[]; 
extern const unsigned char _controls_menu_background[]; 
extern const unsigned char _controls_three_way_small_circle[]; 
extern const unsigned char _controls_wheel_background[]; 
extern const unsigned char _datepicker_bottom_shadow_overlay[]; 
extern const unsigned char _datepicker_glass_overlay[]; 
extern const unsigned char _datepicker_main_background[]; 
extern const unsigned char _datepicker_top_shadow_overlay[]; 
extern const unsigned char _flag_dnk_active[]; 
extern const unsigned char _flag_dnk_inactive[]; 
extern const unsigned char _flag_gbr_active[]; 
extern const unsigned char _flag_gbr_inactive[]; 
extern const unsigned char _flag_jpn_active[]; 
extern const unsigned char _flag_jpn_inactive[]; 
extern const unsigned char _flag_nld_active[]; 
extern const unsigned char _flag_nld_inactive[]; 
extern const unsigned char _flag_ukr_active[]; 
extern const unsigned char _flag_ukr_inactive[]; 
extern const unsigned char _game2d_TreeTops[]; 
extern const unsigned char _game2d_background[]; 
extern const unsigned char _game2d_fly_button[]; 
extern const unsigned char _game2d_fly_button_pressed[]; 
extern const unsigned char _game2d_ground[]; 
extern const unsigned char _game2d_menu_button[]; 
extern const unsigned char _game2d_menu_button_pressed[]; 
extern const unsigned char _game2d_st_button_off[]; 
extern const unsigned char _game2d_st_button_off_pressed[]; 
extern const unsigned char _game2d_st_button_on[]; 
extern const unsigned char _game2d_st_button_pressed[]; 
extern const unsigned char _game2d_topLeaves[]; 
extern const unsigned char _game_2048_background[]; 
extern const unsigned char _game_2048_dot_off[]; 
extern const unsigned char _game_2048_dot_on[]; 
extern const unsigned char _game_2048_game_over[]; 
extern const unsigned char _game_2048_menu_button[]; 
extern const unsigned char _game_2048_menu_button_pressed[]; 
extern const unsigned char _game_2048_you_win[]; 
extern const unsigned char _game_2d_frame_background[]; 
extern const unsigned char _gauge_background[]; 
extern const unsigned char _gauge_needle_pin[]; 
extern const unsigned char _graph_background_bottom[]; 
extern const unsigned char _graph_background_top[]; 
extern const unsigned char _graph_menu_button[]; 
extern const unsigned char _graph_menu_button_pressed[]; 
extern const unsigned char _graph_toggle_button_active[]; 
extern const unsigned char _graph_toggle_button_inactive[]; 
extern const unsigned char _green_area_button_active[]; 
extern const unsigned char _green_area_button_inactive[]; 
extern const unsigned char _green_dots_button_active[]; 
extern const unsigned char _green_dots_button_inactive[]; 
extern const unsigned char _green_line_button_active[]; 
extern const unsigned char _green_line_button_inactive[]; 
extern const unsigned char _half_circle_toggle_button_active[]; 
extern const unsigned char _half_circle_toggle_button_inactive[]; 
extern const unsigned char _how_to_play_00[]; 
extern const unsigned char _how_to_play_01[]; 
extern const unsigned char _how_to_play_02[]; 
extern const unsigned char _how_to_play_background[]; 
extern const unsigned char _how_to_play_button[]; 
extern const unsigned char _how_to_play_button_pressed[]; 
extern const unsigned char _how_to_play_close_button[]; 
extern const unsigned char _menu_button[]; 
extern const unsigned char _menu_button_active[]; 
extern const unsigned char _menu_toggle_button[]; 
extern const unsigned char _menu_toggle_button_pressed[]; 
extern const unsigned char _new_game_button[]; 
extern const unsigned char _new_game_button_pressed[]; 
extern const unsigned char _new_graph[]; 
extern const unsigned char _new_graph_pressed[]; 
extern const unsigned char _new_pie_chart[]; 
extern const unsigned char _new_pie_chart_pressed[]; 
extern const unsigned char _paper_overlay[]; 
extern const unsigned char _pie_chart_gradient_map[]; 
extern const unsigned char _pie_chart_legend_blue[]; 
extern const unsigned char _pie_chart_legend_blue_active[]; 
extern const unsigned char _pie_chart_legend_green[]; 
extern const unsigned char _pie_chart_legend_green_active[]; 
extern const unsigned char _pie_chart_legend_orange[]; 
extern const unsigned char _pie_chart_legend_orange_active[]; 
extern const unsigned char _pie_chart_legend_purple[]; 
extern const unsigned char _pie_chart_legend_purple_active[]; 
extern const unsigned char _pie_chart_legend_red[]; 
extern const unsigned char _pie_chart_legend_red_active[]; 
extern const unsigned char _pie_chart_legend_yellow[]; 
extern const unsigned char _pie_chart_legend_yellow_active[]; 
extern const unsigned char _pie_toggle_button_active[]; 
extern const unsigned char _pie_toggle_button_inactive[]; 
extern const unsigned char _poster_animation_button[]; 
extern const unsigned char _poster_animation_button_arrow_00[]; 
extern const unsigned char _poster_animation_button_arrow_01[]; 
extern const unsigned char _poster_animation_button_arrow_02[]; 
extern const unsigned char _poster_animation_button_arrow_03[]; 
extern const unsigned char _poster_animation_button_arrow_04[]; 
extern const unsigned char _poster_animation_button_arrow_05[]; 
extern const unsigned char _poster_animation_button_arrow_06[]; 
extern const unsigned char _poster_gradient_overlay[]; 
extern const unsigned char _poster_image_00[]; 
extern const unsigned char _poster_image_01[]; 
extern const unsigned char _poster_image_02[]; 
extern const unsigned char _poster_shadow_bottom[]; 
extern const unsigned char _poster_shadow_left[]; 
extern const unsigned char _poster_shadow_right[]; 
extern const unsigned char _poster_shadow_top[]; 
extern const unsigned char _product_presenter_background[]; 
extern const unsigned char _small_circle_bin_icon_active[]; 
extern const unsigned char _small_circle_bin_icon_inactive[]; 
extern const unsigned char _small_circle_folder_icon_active[]; 
extern const unsigned char _small_circle_folder_icon_inactive[]; 
extern const unsigned char _small_circle_papers_icon_active[]; 
extern const unsigned char _small_circle_papers_icon_inactive[]; 
extern const unsigned char _sphere1[]; 
extern const unsigned char _sprite_00[]; 
extern const unsigned char _sprite_01[]; 
extern const unsigned char _sprite_02[]; 
extern const unsigned char _sprite_03[]; 
extern const unsigned char _sprite_04[]; 
extern const unsigned char _sprite_05[]; 
extern const unsigned char _sprite_06[]; 
extern const unsigned char _sprite_07[]; 
extern const unsigned char _sprite_08[]; 
extern const unsigned char _sprite_09[]; 
extern const unsigned char _tile_0002[]; 
extern const unsigned char _tile_0004[]; 
extern const unsigned char _tile_0008[]; 
extern const unsigned char _tile_0016[]; 
extern const unsigned char _tile_0032[]; 
extern const unsigned char _tile_0064[]; 
extern const unsigned char _tile_0128[]; 
extern const unsigned char _tile_0256[]; 
extern const unsigned char _tile_0512[]; 
extern const unsigned char _tile_1024[]; 
extern const unsigned char _tile_2048[]; 

const touchgfx::Bitmap::BitmapData bitmap_database[] = {
    { _Animating_buttons_background, 0, 640, 480, 0, 0, 640, 480, touchgfx::Bitmap::RGB565 },
    { _Animating_buttons_full_table_shadow_bottom, 0, 250, 3, 0, 0, 0, 0, touchgfx::Bitmap::ARGB8888 },
    { _Animating_buttons_full_table_shadow_left, 0, 1, 252, 0, 0, 0, 0, touchgfx::Bitmap::ARGB8888 },
    { _Animating_buttons_full_table_shadow_right, 0, 1, 252, 0, 0, 0, 0, touchgfx::Bitmap::ARGB8888 },
    { _Animating_buttons_table_element_shadow, 0, 252, 53, 1, 0, 250, 50, touchgfx::Bitmap::ARGB8888 },
    { _alpha_ball_blue, 0, 47, 49, 0, 0, 0, 0, touchgfx::Bitmap::ARGB8888 },
    { _alpha_ball_green, 0, 47, 49, 0, 0, 0, 0, touchgfx::Bitmap::ARGB8888 },
    { _alpha_ball_red, 0, 47, 49, 0, 0, 0, 0, touchgfx::Bitmap::ARGB8888 },
    { _animating_buttons_menu_icons_2048_tiny, 0, 40, 40, 9, 6, 25, 26, touchgfx::Bitmap::ARGB8888 },
    { _animating_buttons_menu_icons_game_2d_tiny, 0, 40, 40, 7, 7, 25, 26, touchgfx::Bitmap::ARGB8888 },
    { _animating_buttons_menu_icons_gauge_tiny, 0, 40, 40, 8, 7, 26, 26, touchgfx::Bitmap::ARGB8888 },
    { _animating_buttons_menu_icons_graph_tiny, 0, 40, 40, 8, 7, 26, 25, touchgfx::Bitmap::ARGB8888 },
    { _animating_buttons_menu_icons_poster_tiny, 0, 40, 40, 7, 6, 25, 28, touchgfx::Bitmap::ARGB8888 },
    { _auto_play_button, 0, 152, 62, 4, 4, 144, 54, touchgfx::Bitmap::ARGB8888 },
    { _auto_play_button_pressed, 0, 152, 62, 4, 4, 144, 54, touchgfx::Bitmap::ARGB8888 },
    { _blue_area_button_active, 0, 57, 58, 0, 0, 57, 58, touchgfx::Bitmap::RGB565 },
    { _blue_area_button_inactive, 0, 57, 58, 0, 0, 57, 58, touchgfx::Bitmap::RGB565 },
    { _blue_dots_button_active, 0, 57, 58, 0, 0, 57, 58, touchgfx::Bitmap::RGB565 },
    { _blue_dots_button_inactive, 0, 57, 58, 0, 0, 57, 58, touchgfx::Bitmap::RGB565 },
    { _blue_line_button_active, 0, 57, 58, 0, 0, 57, 58, touchgfx::Bitmap::RGB565 },
    { _blue_line_button_inactive, 0, 57, 58, 0, 0, 57, 58, touchgfx::Bitmap::RGB565 },
    { _carousel_background, 0, 640, 480, 0, 0, 640, 480, touchgfx::Bitmap::RGB565 },
    { _carousel_menu_icons_2048_large, 0, 150, 150, 32, 29, 91, 90, touchgfx::Bitmap::ARGB8888 },
    { _carousel_menu_icons_2048_medium, 0, 130, 130, 29, 24, 78, 79, touchgfx::Bitmap::ARGB8888 },
    { _carousel_menu_icons_2048_small, 0, 110, 110, 23, 21, 67, 66, touchgfx::Bitmap::ARGB8888 },
    { _carousel_menu_icons_game_2d_large, 0, 150, 150, 31, 31, 90, 90, touchgfx::Bitmap::ARGB8888 },
    { _carousel_menu_icons_game_2d_medium, 0, 130, 130, 27, 26, 78, 79, touchgfx::Bitmap::ARGB8888 },
    { _carousel_menu_icons_game_2d_small, 0, 110, 110, 22, 22, 66, 67, touchgfx::Bitmap::ARGB8888 },
    { _carousel_menu_icons_gauge_large, 0, 150, 150, 30, 31, 91, 90, touchgfx::Bitmap::ARGB8888 },
    { _carousel_menu_icons_gauge_medium, 0, 130, 130, 25, 27, 79, 78, touchgfx::Bitmap::ARGB8888 },
    { _carousel_menu_icons_gauge_small, 0, 110, 110, 22, 22, 66, 67, touchgfx::Bitmap::ARGB8888 },
    { _carousel_menu_icons_graph_large, 0, 150, 150, 30, 31, 91, 90, touchgfx::Bitmap::ARGB8888 },
    { _carousel_menu_icons_graph_medium, 0, 130, 130, 26, 26, 78, 79, touchgfx::Bitmap::ARGB8888 },
    { _carousel_menu_icons_graph_small, 0, 110, 110, 22, 22, 66, 67, touchgfx::Bitmap::ARGB8888 },
    { _carousel_menu_icons_poster_large, 0, 150, 150, 30, 26, 85, 101, touchgfx::Bitmap::ARGB8888 },
    { _carousel_menu_icons_poster_medium, 0, 130, 130, 26, 23, 75, 85, touchgfx::Bitmap::ARGB8888 },
    { _carousel_menu_icons_poster_small, 0, 110, 110, 21, 21, 66, 69, touchgfx::Bitmap::ARGB8888 },
    { _collectible_item_00, 0, 28, 28, 7, 5, 14, 18, touchgfx::Bitmap::ARGB8888 },
    { _collectible_item_01, 0, 28, 28, 7, 6, 13, 16, touchgfx::Bitmap::ARGB8888 },
    { _collectible_item_02, 0, 28, 28, 10, 5, 8, 17, touchgfx::Bitmap::ARGB8888 },
    { _collectible_item_03, 0, 28, 28, 12, 4, 4, 19, touchgfx::Bitmap::ARGB8888 },
    { _collectible_item_04, 0, 28, 28, 13, 3, 2, 22, touchgfx::Bitmap::ARGB8888 },
    { _collectible_item_05, 0, 28, 28, 12, 4, 4, 20, touchgfx::Bitmap::ARGB8888 },
    { _collectible_item_06, 0, 28, 28, 10, 4, 7, 19, touchgfx::Bitmap::ARGB8888 },
    { _collectible_item_07, 0, 28, 28, 7, 6, 14, 15, touchgfx::Bitmap::ARGB8888 },
    { _collectible_item_08, 0, 28, 28, 7, 4, 14, 19, touchgfx::Bitmap::ARGB8888 },
    { _collectible_item_09, 0, 28, 28, 6, 5, 15, 18, touchgfx::Bitmap::ARGB8888 },
    { _control_center_button, 0, 270, 270, 47, 47, 176, 176, touchgfx::Bitmap::ARGB8888 },
    { _control_center_button_pressed, 0, 270, 270, 47, 47, 176, 176, touchgfx::Bitmap::ARGB8888 },
    { _control_color_wheel, 0, 359, 359, 0, 0, 359, 359, touchgfx::Bitmap::RGB565 },
    { _control_menu_arrow_down, 0, 56, 56, 9, 8, 38, 40, touchgfx::Bitmap::ARGB8888 },
    { _control_menu_arrow_down_inactive, 0, 56, 56, 9, 8, 38, 40, touchgfx::Bitmap::ARGB8888 },
    { _control_menu_arrow_down_pressed, 0, 56, 56, 9, 8, 38, 40, touchgfx::Bitmap::ARGB8888 },
    { _control_menu_arrow_up, 0, 56, 56, 9, 8, 38, 40, touchgfx::Bitmap::ARGB8888 },
    { _control_menu_arrow_up_inactive, 0, 56, 56, 9, 8, 38, 40, touchgfx::Bitmap::ARGB8888 },
    { _control_menu_arrow_up_pressed, 0, 56, 56, 9, 8, 38, 40, touchgfx::Bitmap::ARGB8888 },
    { _control_menu_button, 0, 76, 73, 22, 20, 32, 7, touchgfx::Bitmap::ARGB8888 },
    { _control_menu_button_pressed, 0, 76, 73, 22, 20, 32, 7, touchgfx::Bitmap::ARGB8888 },
    { _control_menu_icon_datepicker_large, 0, 100, 102, 32, 7, 37, 10, touchgfx::Bitmap::ARGB8888 },
    { _control_menu_icon_datepicker_small, 0, 57, 60, 48, 18, 5, 23, touchgfx::Bitmap::ARGB8888 },
    { _control_menu_icon_gauge_large, 0, 100, 102, 30, 7, 39, 10, touchgfx::Bitmap::ARGB8888 },
    { _control_menu_icon_gauge_small, 0, 57, 60, 47, 17, 6, 21, touchgfx::Bitmap::ARGB8888 },
    { _control_menu_icon_percentage_large, 0, 100, 102, 30, 86, 39, 10, touchgfx::Bitmap::ARGB8888 },
    { _control_menu_icon_percentage_small, 0, 57, 60, 3, 19, 6, 21, touchgfx::Bitmap::ARGB8888 },
    { _control_menu_icon_three_way_large, 0, 100, 102, 33, 89, 33, 9, touchgfx::Bitmap::ARGB8888 },
    { _control_menu_icon_three_way_small, 0, 57, 60, 20, 52, 17, 5, touchgfx::Bitmap::ARGB8888 },
    { _control_menu_shadow_bottom, 0, 116, 35, 0, 0, 0, 0, touchgfx::Bitmap::ARGB8888 },
    { _control_menu_shadow_top, 0, 116, 34, 0, 0, 0, 0, touchgfx::Bitmap::ARGB8888 },
    { _controls_background, 0, 520, 480, 0, 0, 520, 480, touchgfx::Bitmap::RGB565 },
    { _controls_menu_background, 0, 120, 480, 0, 0, 120, 480, touchgfx::Bitmap::RGB565 },
    { _controls_three_way_small_circle, 0, 90, 90, 21, 20, 48, 50, touchgfx::Bitmap::ARGB8888 },
    { _controls_wheel_background, 0, 359, 359, 0, 0, 359, 359, touchgfx::Bitmap::RGB565 },
    { _datepicker_bottom_shadow_overlay, 0, 375, 82, 0, 0, 0, 0, touchgfx::Bitmap::ARGB8888 },
    { _datepicker_glass_overlay, 0, 386, 52, 0, 0, 0, 0, touchgfx::Bitmap::ARGB8888 },
    { _datepicker_main_background, 0, 401, 240, 0, 0, 401, 240, touchgfx::Bitmap::RGB565 },
    { _datepicker_top_shadow_overlay, 0, 375, 82, 0, 0, 0, 0, touchgfx::Bitmap::ARGB8888 },
    { _flag_dnk_active, 0, 58, 39, 5, 5, 49, 29, touchgfx::Bitmap::ARGB8888 },
    { _flag_dnk_inactive, 0, 44, 29, 1, 1, 43, 27, touchgfx::Bitmap::ARGB8888 },
    { _flag_gbr_active, 0, 58, 39, 4, 4, 50, 31, touchgfx::Bitmap::ARGB8888 },
    { _flag_gbr_inactive, 0, 44, 29, 0, 0, 44, 29, touchgfx::Bitmap::RGB565 },
    { _flag_jpn_active, 0, 58, 39, 4, 4, 50, 31, touchgfx::Bitmap::ARGB8888 },
    { _flag_jpn_inactive, 0, 44, 29, 0, 0, 44, 29, touchgfx::Bitmap::RGB565 },
    { _flag_nld_active, 0, 58, 39, 4, 4, 50, 31, touchgfx::Bitmap::ARGB8888 },
    { _flag_nld_inactive, 0, 44, 29, 0, 0, 44, 29, touchgfx::Bitmap::RGB565 },
    { _flag_ukr_active, 0, 58, 39, 4, 4, 50, 31, touchgfx::Bitmap::ARGB8888 },
    { _flag_ukr_inactive, 0, 44, 29, 0, 0, 44, 29, touchgfx::Bitmap::RGB565 },
    { _game2d_TreeTops, 0, 534, 72, 0, 0, 534, 19, touchgfx::Bitmap::ARGB8888 },
    { _game2d_background, 0, 614, 240, 0, 0, 614, 240, touchgfx::Bitmap::RGB565 },
    { _game2d_fly_button, 0, 70, 70, 0, 0, 70, 70, touchgfx::Bitmap::RGB565 },
    { _game2d_fly_button_pressed, 0, 70, 70, 0, 0, 70, 70, touchgfx::Bitmap::RGB565 },
    { _game2d_ground, 0, 732, 83, 0, 55, 732, 28, touchgfx::Bitmap::ARGB8888 },
    { _game2d_menu_button, 0, 68, 64, 0, 0, 68, 64, touchgfx::Bitmap::RGB565 },
    { _game2d_menu_button_pressed, 0, 68, 64, 0, 0, 68, 64, touchgfx::Bitmap::RGB565 },
    { _game2d_st_button_off, 0, 70, 70, 0, 0, 70, 70, touchgfx::Bitmap::RGB565 },
    { _game2d_st_button_off_pressed, 0, 70, 70, 0, 0, 70, 70, touchgfx::Bitmap::RGB565 },
    { _game2d_st_button_on, 0, 70, 70, 0, 0, 70, 70, touchgfx::Bitmap::RGB565 },
    { _game2d_st_button_pressed, 0, 70, 70, 0, 0, 70, 70, touchgfx::Bitmap::RGB565 },
    { _game2d_topLeaves, 0, 630, 53, 0, 0, 630, 22, touchgfx::Bitmap::ARGB8888 },
    { _game_2048_background, 0, 640, 480, 0, 0, 640, 480, touchgfx::Bitmap::RGB565 },
    { _game_2048_dot_off, 0, 20, 7, 1, 1, 5, 5, touchgfx::Bitmap::ARGB8888 },
    { _game_2048_dot_on, 0, 20, 7, 1, 1, 5, 5, touchgfx::Bitmap::ARGB8888 },
    { _game_2048_game_over, 0, 359, 75, 11, 5, 337, 65, touchgfx::Bitmap::ARGB8888 },
    { _game_2048_menu_button, 0, 76, 73, 22, 20, 32, 7, touchgfx::Bitmap::ARGB8888 },
    { _game_2048_menu_button_pressed, 0, 76, 73, 22, 20, 32, 7, touchgfx::Bitmap::ARGB8888 },
    { _game_2048_you_win, 0, 359, 75, 11, 5, 337, 65, touchgfx::Bitmap::ARGB8888 },
    { _game_2d_frame_background, 0, 640, 480, 0, 0, 640, 480, touchgfx::Bitmap::RGB565 },
    { _gauge_background, 0, 359, 359, 0, 0, 359, 359, touchgfx::Bitmap::RGB565 },
    { _gauge_needle_pin, 0, 24, 24, 5, 5, 14, 14, touchgfx::Bitmap::ARGB8888 },
    { _graph_background_bottom, 0, 640, 162, 0, 0, 640, 162, touchgfx::Bitmap::RGB565 },
    { _graph_background_top, 0, 640, 20, 0, 0, 640, 20, touchgfx::Bitmap::RGB565 },
    { _graph_menu_button, 0, 76, 73, 22, 20, 32, 7, touchgfx::Bitmap::ARGB8888 },
    { _graph_menu_button_pressed, 0, 76, 73, 22, 20, 32, 7, touchgfx::Bitmap::ARGB8888 },
    { _graph_toggle_button_active, 0, 55, 58, 0, 0, 55, 58, touchgfx::Bitmap::RGB565 },
    { _graph_toggle_button_inactive, 0, 55, 58, 0, 0, 55, 58, touchgfx::Bitmap::RGB565 },
    { _green_area_button_active, 0, 57, 58, 0, 0, 57, 58, touchgfx::Bitmap::RGB565 },
    { _green_area_button_inactive, 0, 57, 58, 0, 0, 57, 58, touchgfx::Bitmap::RGB565 },
    { _green_dots_button_active, 0, 57, 58, 0, 0, 57, 58, touchgfx::Bitmap::RGB565 },
    { _green_dots_button_inactive, 0, 57, 58, 0, 0, 57, 58, touchgfx::Bitmap::RGB565 },
    { _green_line_button_active, 0, 57, 58, 0, 0, 57, 58, touchgfx::Bitmap::RGB565 },
    { _green_line_button_inactive, 0, 57, 58, 0, 0, 57, 58, touchgfx::Bitmap::RGB565 },
    { _half_circle_toggle_button_active, 0, 55, 58, 0, 0, 55, 58, touchgfx::Bitmap::RGB565 },
    { _half_circle_toggle_button_inactive, 0, 55, 58, 0, 0, 55, 58, touchgfx::Bitmap::RGB565 },
    { _how_to_play_00, 0, 261, 308, 0, 0, 261, 308, touchgfx::Bitmap::RGB565 },
    { _how_to_play_01, 0, 261, 308, 0, 0, 261, 308, touchgfx::Bitmap::RGB565 },
    { _how_to_play_02, 0, 261, 308, 0, 0, 261, 308, touchgfx::Bitmap::RGB565 },
    { _how_to_play_background, 0, 394, 417, 7, 9, 380, 399, touchgfx::Bitmap::ARGB8888 },
    { _how_to_play_button, 0, 152, 62, 4, 4, 144, 54, touchgfx::Bitmap::ARGB8888 },
    { _how_to_play_button_pressed, 0, 152, 62, 4, 4, 144, 54, touchgfx::Bitmap::ARGB8888 },
    { _how_to_play_close_button, 0, 45, 45, 19, 19, 7, 7, touchgfx::Bitmap::ARGB8888 },
    { _menu_button, 0, 86, 83, 0, 0, 0, 0, touchgfx::Bitmap::ARGB8888 },
    { _menu_button_active, 0, 86, 83, 0, 0, 0, 0, touchgfx::Bitmap::ARGB8888 },
    { _menu_toggle_button, 0, 104, 46, 2, 0, 100, 46, touchgfx::Bitmap::ARGB8888 },
    { _menu_toggle_button_pressed, 0, 104, 46, 2, 0, 100, 46, touchgfx::Bitmap::ARGB8888 },
    { _new_game_button, 0, 152, 62, 4, 4, 144, 54, touchgfx::Bitmap::ARGB8888 },
    { _new_game_button_pressed, 0, 152, 62, 4, 4, 144, 54, touchgfx::Bitmap::ARGB8888 },
    { _new_graph, 0, 110, 58, 0, 0, 110, 58, touchgfx::Bitmap::RGB565 },
    { _new_graph_pressed, 0, 110, 58, 0, 0, 110, 58, touchgfx::Bitmap::RGB565 },
    { _new_pie_chart, 0, 110, 58, 0, 0, 110, 58, touchgfx::Bitmap::RGB565 },
    { _new_pie_chart_pressed, 0, 110, 58, 0, 0, 110, 58, touchgfx::Bitmap::RGB565 },
    { _paper_overlay, 0, 194, 426, 0, 76, 125, 350, touchgfx::Bitmap::ARGB8888 },
    { _pie_chart_gradient_map, 0, 400, 400, 0, 0, 400, 400, touchgfx::Bitmap::RGB565 },
    { _pie_chart_legend_blue, 0, 28, 28, 5, 5, 18, 18, touchgfx::Bitmap::ARGB8888 },
    { _pie_chart_legend_blue_active, 0, 28, 28, 5, 5, 18, 18, touchgfx::Bitmap::ARGB8888 },
    { _pie_chart_legend_green, 0, 28, 28, 5, 5, 18, 18, touchgfx::Bitmap::ARGB8888 },
    { _pie_chart_legend_green_active, 0, 28, 28, 5, 5, 18, 18, touchgfx::Bitmap::ARGB8888 },
    { _pie_chart_legend_orange, 0, 28, 28, 5, 5, 18, 18, touchgfx::Bitmap::ARGB8888 },
    { _pie_chart_legend_orange_active, 0, 28, 28, 5, 5, 18, 18, touchgfx::Bitmap::ARGB8888 },
    { _pie_chart_legend_purple, 0, 28, 28, 5, 5, 18, 18, touchgfx::Bitmap::ARGB8888 },
    { _pie_chart_legend_purple_active, 0, 28, 28, 5, 5, 18, 18, touchgfx::Bitmap::ARGB8888 },
    { _pie_chart_legend_red, 0, 28, 28, 5, 5, 18, 18, touchgfx::Bitmap::ARGB8888 },
    { _pie_chart_legend_red_active, 0, 28, 28, 5, 5, 18, 18, touchgfx::Bitmap::ARGB8888 },
    { _pie_chart_legend_yellow, 0, 28, 28, 5, 5, 18, 18, touchgfx::Bitmap::ARGB8888 },
    { _pie_chart_legend_yellow_active, 0, 28, 28, 5, 5, 18, 18, touchgfx::Bitmap::ARGB8888 },
    { _pie_toggle_button_active, 0, 55, 58, 0, 0, 55, 58, touchgfx::Bitmap::RGB565 },
    { _pie_toggle_button_inactive, 0, 55, 58, 0, 0, 55, 58, touchgfx::Bitmap::RGB565 },
    { _poster_animation_button, 0, 70, 70, 26, 21, 28, 28, touchgfx::Bitmap::ARGB8888 },
    { _poster_animation_button_arrow_00, 0, 20, 20, 10, 6, 1, 11, touchgfx::Bitmap::ARGB8888 },
    { _poster_animation_button_arrow_01, 0, 20, 20, 10, 10, 1, 1, touchgfx::Bitmap::ARGB8888 },
    { _poster_animation_button_arrow_02, 0, 20, 20, 10, 10, 1, 1, touchgfx::Bitmap::ARGB8888 },
    { _poster_animation_button_arrow_03, 0, 20, 20, 10, 10, 1, 1, touchgfx::Bitmap::ARGB8888 },
    { _poster_animation_button_arrow_04, 0, 20, 20, 7, 11, 2, 1, touchgfx::Bitmap::ARGB8888 },
    { _poster_animation_button_arrow_05, 0, 20, 20, 9, 10, 1, 4, touchgfx::Bitmap::ARGB8888 },
    { _poster_animation_button_arrow_06, 0, 20, 20, 10, 4, 1, 11, touchgfx::Bitmap::ARGB8888 },
    { _poster_gradient_overlay, 0, 270, 50, 0, 20, 270, 30, touchgfx::Bitmap::ARGB8888 },
    { _poster_image_00, 0, 270, 250, 0, 0, 270, 250, touchgfx::Bitmap::RGB565 },
    { _poster_image_01, 0, 270, 250, 0, 0, 270, 250, touchgfx::Bitmap::RGB565 },
    { _poster_image_02, 0, 270, 250, 0, 0, 270, 250, touchgfx::Bitmap::RGB565 },
    { _poster_shadow_bottom, 0, 298, 14, 0, 0, 0, 0, touchgfx::Bitmap::ARGB8888 },
    { _poster_shadow_left, 0, 14, 350, 0, 0, 0, 0, touchgfx::Bitmap::ARGB8888 },
    { _poster_shadow_right, 0, 14, 350, 0, 0, 0, 0, touchgfx::Bitmap::ARGB8888 },
    { _poster_shadow_top, 0, 298, 14, 0, 0, 0, 0, touchgfx::Bitmap::ARGB8888 },
    { _product_presenter_background, 0, 640, 480, 0, 0, 640, 480, touchgfx::Bitmap::RGB565 },
    { _small_circle_bin_icon_active, 0, 30, 34, 9, 12, 12, 16, touchgfx::Bitmap::ARGB8888 },
    { _small_circle_bin_icon_inactive, 0, 30, 34, 9, 12, 12, 16, touchgfx::Bitmap::ARGB8888 },
    { _small_circle_folder_icon_active, 0, 30, 34, 6, 14, 18, 14, touchgfx::Bitmap::ARGB8888 },
    { _small_circle_folder_icon_inactive, 0, 30, 34, 6, 14, 18, 14, touchgfx::Bitmap::ARGB8888 },
    { _small_circle_papers_icon_active, 0, 30, 34, 9, 15, 13, 13, touchgfx::Bitmap::ARGB8888 },
    { _small_circle_papers_icon_inactive, 0, 30, 34, 9, 15, 13, 13, touchgfx::Bitmap::ARGB8888 },
    { _sphere1, 0, 16, 16, 3, 3, 10, 10, touchgfx::Bitmap::ARGB8888 },
    { _sprite_00, 0, 70, 81, 11, 38, 36, 20, touchgfx::Bitmap::ARGB8888 },
    { _sprite_01, 0, 70, 81, 11, 39, 37, 19, touchgfx::Bitmap::ARGB8888 },
    { _sprite_02, 0, 70, 81, 12, 40, 35, 18, touchgfx::Bitmap::ARGB8888 },
    { _sprite_03, 0, 70, 81, 12, 43, 35, 17, touchgfx::Bitmap::ARGB8888 },
    { _sprite_04, 0, 70, 81, 36, 26, 20, 28, touchgfx::Bitmap::ARGB8888 },
    { _sprite_05, 0, 70, 81, 13, 41, 32, 18, touchgfx::Bitmap::ARGB8888 },
    { _sprite_06, 0, 70, 81, 31, 18, 19, 40, touchgfx::Bitmap::ARGB8888 },
    { _sprite_07, 0, 70, 81, 10, 36, 41, 18, touchgfx::Bitmap::ARGB8888 },
    { _sprite_08, 0, 70, 81, 11, 35, 42, 24, touchgfx::Bitmap::ARGB8888 },
    { _sprite_09, 0, 70, 81, 9, 37, 42, 24, touchgfx::Bitmap::ARGB8888 },
    { _tile_0002, 0, 100, 100, 7, 1, 86, 88, touchgfx::Bitmap::ARGB8888 },
    { _tile_0004, 0, 100, 100, 7, 1, 86, 88, touchgfx::Bitmap::ARGB8888 },
    { _tile_0008, 0, 100, 100, 7, 1, 86, 88, touchgfx::Bitmap::ARGB8888 },
    { _tile_0016, 0, 100, 100, 7, 1, 86, 88, touchgfx::Bitmap::ARGB8888 },
    { _tile_0032, 0, 100, 100, 7, 1, 86, 88, touchgfx::Bitmap::ARGB8888 },
    { _tile_0064, 0, 100, 100, 7, 1, 86, 88, touchgfx::Bitmap::ARGB8888 },
    { _tile_0128, 0, 100, 100, 7, 1, 86, 88, touchgfx::Bitmap::ARGB8888 },
    { _tile_0256, 0, 100, 100, 7, 1, 86, 88, touchgfx::Bitmap::ARGB8888 },
    { _tile_0512, 0, 100, 100, 7, 1, 86, 88, touchgfx::Bitmap::ARGB8888 },
    { _tile_1024, 0, 100, 100, 7, 1, 86, 88, touchgfx::Bitmap::ARGB8888 },
    { _tile_2048, 0, 100, 100, 7, 1, 86, 88, touchgfx::Bitmap::ARGB8888 }
};

namespace BitmapDatabase
{
  const touchgfx::Bitmap::BitmapData* getInstance()
  {
    return bitmap_database;
  }
  uint16_t getInstanceSize()
  {
    return (uint16_t)(sizeof(bitmap_database) / sizeof(touchgfx::Bitmap::BitmapData));
  }
}

